## GogColorScale GogColorScale — Displays the color scale used by an axis. |

## Functions

GogAxis * | gog_color_scale_get_axis ()
void | gog_color_scale_set_axis ()

## Properties

gchar * | axis | Read / Write
gboolean | horizontal | Read / Write
gint | tick-size-pts | Read / Write
gdouble | width | Read / Write

## Types and Values

| GogColorScale

## Object Hierarchy

        GObject
        ╰── GogObject
            ╰── GogStyledObject
                ╰── GogColorScale

## Implemented Interfaces

GogColorScale implements GOStyledObject.

## Description

A color scale has two parts: an axis, and a rectangle filled by the colors corresponding to the axis scale. It can be displayed horizontally or vertically.

## Functions

### gog_color_scale_get_axis ()

    GogAxis *
    gog_color_scale_get_axis (GogColorScale *scale);

Gets the axis mapping to the colors and associated with `scale`

#### Parameters

scale | GogColorScale |

#### Returns

the associated axis.

[transfer none]

### gog_color_scale_set_axis ()

    void
    gog_color_scale_set_axis (GogColorScale *scale,
                              GogAxis *axis);

Associates the axis with `scale` .

#### Parameters

scale | GogColorScale |
axis | a color or pseudo-3d axis |

## Types and Values

### GogColorScale

    typedef struct _GogColorScale GogColorScale;

## Property Details

### The `“axis”` property

      “axis”                     gchar *

Reference to the color or pseudo-3d axis.

Flags: Read / Write

Default value: NULL

### The `“horizontal”` property

      “horizontal”               gboolean

Whether to display the scale horizontally.

Flags: Read / Write

Default value: FALSE

### The `“tick-size-pts”` property

      “tick-size-pts”            gint

Size of the tick marks, in points.

Flags: Read / Write

Allowed values: [0,20]

Default value: 4

### The `“width”` property

      “width”                    gdouble

Color scale thickness.

Flags: Read / Write

Allowed values: [1,255]

Default value: 10